<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of Router
 *
 * @author miguel
 */
class Router {
    //The url from the page for the iFrame
    public $url;
    
    //Router IP address
    public $ip;
    
    //DB object
    public $db;
    
    //CURL Object
    public $ch;
    
    //Cookie name
    public $ckfile;
    
    public function __construct($url,$db){
        $this->db=$db;
        $this->ip=$this->db->get('routerAddress');
        $this->url=$this->ip.$url;
        $this->ckfile= tempnam("/tmp", "CURLCOOKIE");
        

        //initial request with login data

        $this->ch = curl_init();
        $headers = array("Host: ".$this->ip);     
        curl_setopt($this->ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($this->ch, CURLOPT_URL, 'http://'.$this->ip.'/cgi-bin/wlogin.cgi');
        curl_setopt($this->ch, CURLOPT_POST, true);
        curl_setopt($this->ch, CURLOPT_POSTFIELDS, "aa=YWRtaW4=&ab=YWRtaW4=&sslgroup=-1");
        curl_setopt($this->ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($this->ch, CURLOPT_COOKIESESSION, true);
        curl_setopt($this->ch, CURLOPT_AUTOREFERER, true);
        curl_setopt($this->ch, CURLOPT_COOKIEJAR, $this->ckfile);
        curl_setopt($this->ch, CURLOPT_FOLLOWLOCATION, 1);
        curl_setopt($this->ch, CURLOPT_USERAGENT, "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:38.0) Gecko/20100101 Firefox/38.0");
        $answer = curl_exec($this->ch);
        //echo $answer;
        if (curl_error($this->ch)) {
            echo curl_error($this->ch);
        }
    }
    
    public function __destruct() {
        curl_close($this->ch);
    }
    
    public function getContent(){
        $msg = "";
        curl_setopt($this->ch, CURLOPT_URL, "http://".$this->ip."/cgi-bin/wan.cgi?fid=100");
        curl_setopt($this->ch, CURLOPT_COOKIEFILE, $this->ckfile);
        curl_setopt($this->ch, CURLOPT_POST, false);
        curl_setopt($this->ch, CURLOPT_HTTPGET, true);
        curl_setopt($this->ch, CURLOPT_CUSTOMREQUEST, 'GET');
        $html = curl_exec($this->ch);

        if (!curl_errno($this->ch)) {
            $msg = $html;
        } else {
            $msg = 'Curl error: ' . curl_error($this->ch);
        }

        return $msg;
        }
}
?>
